Bug 1573550 - [abrt] accountsservice: g_variant_is_trusted(): accounts-daemon killed by SIGSEGV
Summary: [abrt] accountsservice: g_variant_is_trusted(): accounts-daemon killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: accountsservice
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:52a84e624bf68a31b744876a90d...
: 1575083 1575151 1575187 1575253 1576604 1577074 1578015 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:33 UTC by Pavel Roskin
Modified: 2018-05-16 20:39 UTC (History)
18 users (show)

Fixed In Version: accountsservice-0.6.48-1.fc28 accountsservice-0.6.49-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-13 20:00:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (22.46 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: cgroup (333 bytes, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: core_backtrace (10.25 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: dso_list (2.69 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: environ (216 bytes, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: maps (13.04 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: mountinfo (3.97 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: open_fds (1.01 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details
File: var_log_messages (263 bytes, text/plain)
2018-05-01 16:33 UTC, Pavel Roskin
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 106455 None None None 2018-05-09 17:29:44 UTC

Description Pavel Roskin 2018-05-01 16:33:40 UTC
Version-Release number of selected component:
accountsservice-0.6.47-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/accounts-daemon
crash_function: g_variant_is_trusted
executable:     /usr/libexec/accounts-daemon
journald_cursor: s=b7d10258ff6a42579b21424a808c89f8;i=6d540;b=ff3fbc13a9524381a5a09eda8d7eba91;m=19c237b6;t=56b275f9cb66c;x=7bb750cba3c35396
kernel:         4.16.6-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_variant_is_trusted at gvariant-core.c:607
 #1 g_variant_builder_add_value at gvariant.c:3490
 #2 g_variant_valist_new at gvariant.c:5196
 #3 g_variant_new_va at gvariant.c:5372
 #4 g_variant_new at gvariant.c:5307
 #5 _accounts_accounts_on_signal_user_deleted
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525

Comment 1 Pavel Roskin 2018-05-01 16:33:44 UTC
Created attachment 1429320 [details]
File: backtrace

Comment 2 Pavel Roskin 2018-05-01 16:33:45 UTC
Created attachment 1429321 [details]
File: cgroup

Comment 3 Pavel Roskin 2018-05-01 16:33:46 UTC
Created attachment 1429322 [details]
File: core_backtrace

Comment 4 Pavel Roskin 2018-05-01 16:33:47 UTC
Created attachment 1429323 [details]
File: cpuinfo

Comment 5 Pavel Roskin 2018-05-01 16:33:47 UTC
Created attachment 1429324 [details]
File: dso_list

Comment 6 Pavel Roskin 2018-05-01 16:33:48 UTC
Created attachment 1429325 [details]
File: environ

Comment 7 Pavel Roskin 2018-05-01 16:33:49 UTC
Created attachment 1429326 [details]
File: exploitable

Comment 8 Pavel Roskin 2018-05-01 16:33:50 UTC
Created attachment 1429327 [details]
File: limits

Comment 9 Pavel Roskin 2018-05-01 16:33:50 UTC
Created attachment 1429328 [details]
File: maps

Comment 10 Pavel Roskin 2018-05-01 16:33:51 UTC
Created attachment 1429329 [details]
File: mountinfo

Comment 11 Pavel Roskin 2018-05-01 16:33:52 UTC
Created attachment 1429330 [details]
File: open_fds

Comment 12 Pavel Roskin 2018-05-01 16:33:53 UTC
Created attachment 1429331 [details]
File: proc_pid_status

Comment 13 Pavel Roskin 2018-05-01 16:33:54 UTC
Created attachment 1429332 [details]
File: var_log_messages

Comment 14 Adam Williamson 2018-05-02 23:41:12 UTC
Every openQA F28 update test run appears to be hitting this (in the base_services_start test) since the base image was regenerated earlier today:

https://openqa.fedoraproject.org/tests/232810?machine=64bit&version=28&limit_previous=100&distri=fedora&test=base_services_start&flavor=updates-workstation&arch=x86_64#previous

this is probably because https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1d39b6bd2 got included in the base image at that point, I believe; I think this was broken by that update.

The service crashes a little less than a minute after it starts:

May 01 22:34:43 localhost.localdomain systemd[1]: Starting Accounts Service...
May 01 22:34:43 localhost.localdomain accounts-daemon[698]: started daemon version 0.6.47
May 01 22:34:43 localhost.localdomain systemd[1]: Started Accounts Service.
May 01 22:35:25 ibm-p8-kvm-03-guest-02.virt.pnr.lab.eng.rdu2.redhat.com accounts-daemon[698]: g_variant_is_object_path: assertion 'string != NULL' failed
May 01 22:35:25 ibm-p8-kvm-03-guest-02.virt.pnr.lab.eng.rdu2.redhat.com accounts-daemon[698]: g_variant_new_object_path: assertion 'g_variant_is_object_path (object_path)' failed
May 01 22:35:26 ibm-p8-kvm-03-guest-02.virt.pnr.lab.eng.rdu2.redhat.com systemd[1]: accounts-daemon.service: Main process exited, code=dumped, status=11/SEGV
May 01 22:35:26 ibm-p8-kvm-03-guest-02.virt.pnr.lab.eng.rdu2.redhat.com systemd[1]: accounts-daemon.service: Failed with result 'core-dump'.

Comment 15 Francesco Ambrosini 2018-05-04 17:41:17 UTC
*** Bug 1575083 has been marked as a duplicate of this bug. ***

Comment 16 Ray Strode [halfline] 2018-05-04 20:49:51 UTC
I think I see what the problem is, can someone give this scratch build a try when it finishes?

https://koji.fedoraproject.org/koji/taskinfo?taskID=26771649

Comment 17 Philippe Troin 2018-05-04 21:27:29 UTC
I was experiencing the problem (accountsservice SIGSEGV at every boot with the same backtrace).
Using the 0.6.47-2.fc28 package solves the problem here, accountsservice stays running after a reboot.

Comment 18 zethan191 2018-05-04 21:37:44 UTC
*** Bug 1575151 has been marked as a duplicate of this bug. ***

Comment 19 Philippe Troin 2018-05-04 21:53:06 UTC
(In reply to Philippe Troin from comment #17)
> I was experiencing the problem (accountsservice SIGSEGV at every boot with
> the same backtrace).
> Using the 0.6.47-2.fc28 package solves the problem here, accountsservice
> stays running after a reboot.

I spoke too soon, it seems to still be crashing with the same backtrace.

Comment 20 Glauco Stephan 2018-05-05 01:22:23 UTC
*** Bug 1575187 has been marked as a duplicate of this bug. ***

Comment 21 Joao Luis 2018-05-05 12:36:25 UTC
*** Bug 1575253 has been marked as a duplicate of this bug. ***

Comment 22 Tomasz Torcz 2018-05-05 16:28:33 UTC
Similar problem has been detected:

Freshly logged in into gnome.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/accounts-daemon
crash_function: g_variant_is_trusted
executable:     /usr/libexec/accounts-daemon
journald_cursor: s=55bf7705993047ad9bebf765eea38d8a;i=12ee73;b=df69d2a181fe485ab6004bef8c0216af;m=e0da9fd;t=56b4a7f25012f;x=c75f245c74818e05
kernel:         4.16.6-300.fc28.x86_64
package:        accountsservice-0.6.47-1.fc28
reason:         accounts-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 23 Ray Strode [halfline] 2018-05-07 15:23:01 UTC
(In reply to Philippe Troin from comment #19)
> (In reply to Philippe Troin from comment #17)
> > I was experiencing the problem (accountsservice SIGSEGV at every boot with
> > the same backtrace).
> > Using the 0.6.47-2.fc28 package solves the problem here, accountsservice
> > stays running after a reboot.
> 
> I spoke too soon, it seems to still be crashing with the same backtrace.

Hmm, it really seemed like the fix.  does it print the same message to the log ?
Could it be you're seeing a notification from an old abrt run ?

Comment 24 Philippe Troin 2018-05-07 20:33:00 UTC
(In reply to Ray Strode [halfline] from comment #23)
> (In reply to Philippe Troin from comment #19)
> > (In reply to Philippe Troin from comment #17)
> > > I was experiencing the problem (accountsservice SIGSEGV at every boot with
> > > the same backtrace).
> > > Using the 0.6.47-2.fc28 package solves the problem here, accountsservice
> > > stays running after a reboot.
> > 
> > I spoke too soon, it seems to still be crashing with the same backtrace.
> 
> Hmm, it really seemed like the fix.  does it print the same message to the
> log ?
> Could it be you're seeing a notification from an old abrt run ?

I'm trying again.

Comment 25 Philippe Troin 2018-05-07 21:06:12 UTC
(In reply to Philippe Troin from comment #24)
> (In reply to Ray Strode [halfline] from comment #23)
> > (In reply to Philippe Troin from comment #19)
> > > (In reply to Philippe Troin from comment #17)
> > > > I was experiencing the problem (accountsservice SIGSEGV at every boot with
> > > > the same backtrace).
> > > > Using the 0.6.47-2.fc28 package solves the problem here, accountsservice
> > > > stays running after a reboot.
> > > 
> > > I spoke too soon, it seems to still be crashing with the same backtrace.
> > 
> > Hmm, it really seemed like the fix.  does it print the same message to the
> > log ?
> > Could it be you're seeing a notification from an old abrt run ?
> 
> I'm trying again.

Confirming I'm still seeing a crash after reboot with 0.6.47-2.fc28.

# rpm -qa accountsservice* | sort
accountsservice-0.6.47-2.fc28.x86_64
accountsservice-debuginfo-0.6.47-2.fc28.x86_64
accountsservice-debugsource-0.6.47-2.fc28.x86_64
accountsservice-devel-0.6.47-2.fc28.x86_64
accountsservice-libs-0.6.47-2.fc28.i686
accountsservice-libs-0.6.47-2.fc28.x86_64
accountsservice-libs-debuginfo-0.6.47-2.fc28.x86_64
# journalctl -b | grep accounts
May 07 13:56:13 fnew64 accounts-daemon[894]: started daemon version 0.6.47
May 07 13:56:13 fnew64 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=accounts-daemon comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 07 14:02:04 fnew64 accounts-daemon[894]: g_variant_is_object_path: assertion 'string != NULL' failed
May 07 14:02:04 fnew64 accounts-daemon[894]: g_variant_new_object_path: assertion 'g_variant_is_object_path (object_path)' failed
May 07 14:02:04 fnew64 audit[894]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 pid=894 comm="accounts-daemon" exe="/usr/libexec/accounts-daemon" sig=11 res=1
May 07 14:02:04 fnew64 kernel: accounts-daemon[894]: segfault at 20 ip 00007f26a60a2444 sp 00007ffc7183e2b8 error 4 in libglib-2.0.so.0.5600.1[7f26a6019000+115000]
May 07 14:02:04 fnew64 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=accounts-daemon comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
May 07 14:02:04 fnew64 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=accounts-daemon comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 07 14:02:04 fnew64 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=accounts-daemon comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 07 14:02:04 fnew64 systemd[1]: accounts-daemon.service: Main process exited, code=dumped, status=11/SEGV
May 07 14:02:04 fnew64 systemd[1]: accounts-daemon.service: Failed with result 'core-dump'.
May 07 14:02:04 fnew64 systemd[1]: accounts-daemon.service: Service has no hold-off time, scheduling restart.
May 07 14:02:04 fnew64 systemd[1]: accounts-daemon.service: Scheduled restart job, restart counter is at 1.
May 07 14:02:04 fnew64 accounts-daemon[2012]: started daemon version 0.6.47
May 07 14:02:04 fnew64 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=accounts-daemon comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 07 14:02:04 fnew64 systemd-coredump[2011]: Process 894 (accounts-daemon) of user 0 dumped core.
                                               #5  0x000056138de8d12f _accounts_accounts_on_signal_user_deleted (accounts-daemon)
                                               #13 0x000056138de82b9f reload_users (accounts-daemon)
                                               #14 0x000056138de82c9d reload_users_timeout (accounts-daemon)
                                               #19 0x000056138de81dbc main (accounts-daemon)
                                               #21 0x000056138de81f9a _start (accounts-daemon)
# coredumpctl gdb 894
           PID: 894 (accounts-daemon)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 11 (SEGV)
     Timestamp: Mon 2018-05-07 14:02:04 PDT (2min 58s ago)
  Command Line: /usr/libexec/accounts-daemon
    Executable: /usr/libexec/accounts-daemon
 Control Group: /system.slice/accounts-daemon.service
          Unit: accounts-daemon.service
         Slice: system.slice
       Boot ID: d1f4a1c6121f448eb3504808b7b31017
    Machine ID: b59a48bf466e084b0782036c229d94a9
      Hostname: fnew64
       Storage: /var/lib/systemd/coredump/core.accounts-daemon.0.d1f4a1c6121f448eb3504808b7b31017.894.1525726924000000.lz4
       Message: Process 894 (accounts-daemon) of user 0 dumped core.
                
                Stack trace of thread 894:
                #0  0x00007f26a60a2444 g_variant_is_trusted (libglib-2.0.so.0)
                #1  0x00007f26a609edcb g_variant_builder_add_value (libglib-2.0.so.0)
                #2  0x00007f26a60a0702 g_variant_valist_new (libglib-2.0.so.0)
                #3  0x00007f26a60a0b82 g_variant_new_va (libglib-2.0.so.0)
                #4  0x00007f26a60a0cdb g_variant_new (libglib-2.0.so.0)
                #5  0x000056138de8d12f _accounts_accounts_on_signal_user_deleted (accounts-daemon)
                #6  0x00007f26a517f03e ffi_call_unix64 (libffi.so.6)
                #7  0x00007f26a517e9ff ffi_call (libffi.so.6)
                #8  0x00007f26a63405a5 g_cclosure_marshal_generic (libgobject-2.0.so.0)
                #9  0x00007f26a633fadd g_closure_invoke (libgobject-2.0.so.0)
                #10 0x00007f26a63526e4 signal_emit_unlocked_R (libgobject-2.0.so.0)
                #11 0x00007f26a635bfda g_signal_emit_valist (libgobject-2.0.so.0)
                #12 0x00007f26a635cab4 g_signal_emit_by_name (libgobject-2.0.so.0)
                #13 0x000056138de82b9f reload_users (accounts-daemon)
                #14 0x000056138de82c9d reload_users_timeout (accounts-daemon)
                #15 0x00007f26a6066291 g_timeout_dispatch (libglib-2.0.so.0)
                #16 0x00007f26a60657cd g_main_context_dispatch (libglib-2.0.so.0)
                #17 0x00007f26a6065b98 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #18 0x00007f26a6065ec2 g_main_loop_run (libglib-2.0.so.0)
                #19 0x000056138de81dbc main (accounts-daemon)
                #20 0x00007f26a5a651bb __libc_start_main (libc.so.6)
                #21 0x000056138de81f9a _start (accounts-daemon)
                
                Stack trace of thread 913:
                #0  0x00007f26a5b31929 __poll (libc.so.6)
                #1  0x00007f26a6065b06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #2  0x00007f26a6065ec2 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007f26a665560a gdbus_shared_thread_func (libgio-2.0.so.0)
                #4  0x00007f26a608dcea g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f26a5389564 start_thread (libpthread.so.0)
                #6  0x00007f26a5b3c31f __clone (libc.so.6)
                
                Stack trace of thread 911:
                #0  0x00007f26a5b31929 __poll (libc.so.6)
                #1  0x00007f26a6065b06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #2  0x00007f26a6065c30 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f26a6065c81 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f26a608dcea g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f26a5389564 start_thread (libpthread.so.0)
                #6  0x00007f26a5b3c31f __clone (libc.so.6)

Could it be related to the newish transient users systemd feature?

Comment 26 Ray Strode [halfline] 2018-05-09 13:13:11 UTC
okay i'll do another build that avoids the code path in the crashing scenario. i'm a little iffy on how that could happen though.  I guess a user is getting added and removed before it gets registered.

Comment 27 Ray Strode [halfline] 2018-05-09 13:25:25 UTC
actually I think I see the problem now. I'm going to throw one more build over the wall that may or may not work. If it doesn't work, then I'll switch to the fallback plan alluded to in comment 26.

Comment 28 Ray Strode [halfline] 2018-05-09 13:43:20 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=26857182

Comment 29 Trond H. Amundsen 2018-05-09 15:41:58 UTC
The new build in comment 28 seems to fix the issue in my case

Comment 30 Adam Williamson 2018-05-09 21:48:23 UTC
Yeah, fix seems to work in a manual replication of one of the affected openQA cases too.

Comment 31 Philippe Troin 2018-05-09 21:49:32 UTC
(In reply to Ray Strode [halfline] from comment #28)
> https://koji.fedoraproject.org/koji/taskinfo?taskID=26857182

(In reply to Trond H. Amundsen from comment #29)
> The new build in comment 28 seems to fix the issue in my case

Same for me.  The packages linked from comment 28 seem to fix the problem.
I did a few reboots, and account-daemon doesn't crash anymore.

Comment 32 Jonatas da Silva 2018-05-09 22:57:53 UTC
*** Bug 1576604 has been marked as a duplicate of this bug. ***

Comment 33 Fedora Update System 2018-05-10 18:28:34 UTC
accountsservice-0.6.48-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-213e7536b3

Comment 34 Fedora Update System 2018-05-10 20:35:58 UTC
accountsservice-0.6.49-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e8688f4f0

Comment 35 dorofieiev.d 2018-05-11 07:14:56 UTC
*** Bug 1577074 has been marked as a duplicate of this bug. ***

Comment 36 fedbzville 2018-05-11 16:41:57 UTC
Similar problem has been detected:

I just tried to login; sometimes it works, sometimes it crashes

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/libexec/accounts-daemon
crash_function: g_variant_is_trusted
executable:     /usr/libexec/accounts-daemon
journald_cursor: s=01a0ea1e1158489ea70642ad534befdf;i=1d7ec81;b=c6c371d31bb544dba1893cbc72e85cad;m=3bd6cd05;t=56bf0c6c63d2b;x=b2664a7d586cf513
kernel:         4.16.7-300.fc28.x86_64
package:        accountsservice-0.6.47-1.fc28
reason:         accounts-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 37 Fedora Update System 2018-05-11 18:51:50 UTC
accountsservice-0.6.49-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e8688f4f0

Comment 38 outside_boi 2018-05-12 17:03:52 UTC
Similar problem has been detected:

I could not select guest login on login screen after enabling the "allow guest login" option in settings.

reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        /usr/libexec/accounts-daemon
crash_function: g_variant_is_trusted
executable:     /usr/libexec/accounts-daemon
journald_cursor: s=44f1186103154fd68b0ec29d9a3b5fd6;i=906;b=efb57a86dc9a459488bb117992565946;m=8034b52;t=56c03f3b7f062;x=f69f99521bdb15a0
kernel:         4.16.7-300.fc28.x86_64
package:        accountsservice-0.6.47-1.fc28
reason:         accounts-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 39 Fedora Update System 2018-05-13 20:00:48 UTC
accountsservice-0.6.49-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Adriano 2018-05-14 15:56:20 UTC
*** Bug 1578015 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.